A stack trace is a report that provides information about program subroutines. It is commonly used for certain kinds of debugging, 
where a stack trace can help software engineers figure out where a problem lies or how various subroutines work together during 
execution.
